org.apache.solr.client.solrj.request

## Class CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<Q>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.CollectionSpecificAdminRequest, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RequestStatus

    public abstract class CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>
    extends SolrRequest<CollectionAdminResponse>

This class is experimental and subject to change.

Since:
  solr 4.5
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CollectionAdminRequest.AddReplica`
`static class` `CollectionAdminRequest.AddReplicaProp`
`static class` `CollectionAdminRequest.AddRole`
`static class` `CollectionAdminRequest.BalanceShardUnique`
`static class` `CollectionAdminRequest.ClusterProp`
`static class` `CollectionAdminRequest.ClusterStatus`
`protected static class` `CollectionAdminRequest.CollectionAdminRoleRequest<T extends CollectionAdminRequest<T>>`
`protected static class` `CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>`
`protected static class` `CollectionAdminRequest.CollectionSpecificAdminRequest<T extends CollectionAdminRequest<T>>`
`static class` `CollectionAdminRequest.Create` Specific Collection API call implementations
`static class` `CollectionAdminRequest.CreateAlias`
`static class` `CollectionAdminRequest.CreateShard`
`static class` `CollectionAdminRequest.Delete`
`static class` `CollectionAdminRequest.DeleteAlias`
`static class` `CollectionAdminRequest.DeleteReplica`
`static class` `CollectionAdminRequest.DeleteReplicaProp`
`static class` `CollectionAdminRequest.DeleteShard`
`static class` `CollectionAdminRequest.ForceLeader`
`static class` `CollectionAdminRequest.List`
`static class` `CollectionAdminRequest.Migrate`
`static class` `CollectionAdminRequest.MigrateClusterState`
`static class` `CollectionAdminRequest.OverseerStatus`
`static class` `CollectionAdminRequest.Reload`
`static class` `CollectionAdminRequest.RemoveRole`
`static class` `CollectionAdminRequest.RequestStatus`
`static class` `CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected CollectionParams.CollectionAction` `action`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest()`
`CollectionAdminRequest(String path)`

### Method Summary

Methods
`protected void` `addProperties(ModifiableSolrParams params, Properties props)`
`protected CollectionAdminResponse` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`Collection<ContentStream>` `getContentStreams()`
`SolrParams` `getParams()`
`protected abstract Q` `getThis()`
`protected CollectionAdminRequest` `setAction(CollectionParams.CollectionAction action)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### action

    protected CollectionParams.CollectionAction action

### Constructor Detail

#### CollectionAdminRequest

    public CollectionAdminRequest()

#### CollectionAdminRequest

    public CollectionAdminRequest(String path)

### Method Detail

#### setAction

    protected CollectionAdminRequest setAction(CollectionParams.CollectionAction action)

#### getThis

    protected abstract Q getThis()

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<CollectionAdminResponse>`

#### getContentStreams

    public Collection<ContentStream> getContentStreams()
                                                throws IOException

Specified by:
  `getContentStreams` in class `SolrRequest<CollectionAdminResponse>`
Throws:
  `IOException`

#### createResponse

    protected CollectionAdminResponse createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<CollectionAdminResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### addProperties

    protected void addProperties(ModifiableSolrParams params,
                     Properties props)